OWB java.lang.UnsupportedClassVersionError

book

Article ID: 126696

calendar_today

Updated On:

Products

Clarity PPM On Premise

Issue/Introduction

Error during install / upgrade of Open Workbench (OWB): 
Error 1316. The specified account already exists. 

Error when launching OWB generates something similar to the below: 
java.lang.UnsupportedClassVersionError: 
com/niku/cse/util/SELoggerSSELoggerInterface : Unsupported major.minor 52.0: 
com/niku/cse/util/SELoggerSSELoggerInterface : Unsupported major.minor 52.0

Cause

This issue can happen if some of the OWB or MSP Interface data in the registry doesn't get removed prior to the upgrade of the OWB version.

To help avoid this issue, make sure to uninstall all of the below components from the workstation prior to upgrading the OWB version. 

  • Open Workbench (OWB)
  • CA PPM Microsoft Project Interface 
  • CA PPM Schedule Connect
  • CAClarityAddin

Important: Before doing the above, make sure any custom OWB views are backed up into a separate folder as these can get removed during the uninstall process. 

Note: While the error indicates a possible java problem, this typically is not the cause. Starting in Clarity 13.3, a java gets automatically installed with the schedule connect component of Open Workbench that is used with OWB (and the MSP Interface if installed) so that you do not have to install a new java version on the workstation. This java will not impact any other applications as it's used just with the Clarity schedulers. 
 

Environment

Release: All Supported Releases
Component: PPMOWB

Resolution

Do a clean uninstall of OWB to make sure any previously installed components are removed completely.

For the steps on how to do this, see: Clean uninstall / install of OWB

 

Additional Information

See also: